Status: Closed Start date: 2010-12-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 1.0.4

Description

I was getting the "Status can't be blank" error every time I clicked on Issues or Gannt.  Redmine issue #4942 suggested this was due

to the Harvest Plugin, but I removed it, and still got the error...

I am a noob to Rails, but I tracked it down to the "validate" on the Query model object which fails because both the status_id value

and operator are blank in the filter, despite that initialize seems to set an operator of "o".

Something seems to be clobbering the value after the fact.  Couldn't find the source, but checking for the condition pre-validate, and

correcting it by putting back the "o" solves the issue - albeit hacky - it is better then the broken nagging status error message.

Once past validation, line 419 will then choke:

v = values_for(field).clone

so I had to work around that as well... now things seem to work again... but if it is the harvest plugin, it isn't obvious.  I think someone

who knows the code better should take a closer look.

Related issues:

Related to Redmine - Defect #4942: "Status can't be blank" on Issues page (Af... Closed 2010-02-26

History

#1 - 2013-04-12 04:47 - Filou Centrinov

Relation: #4942

#2 - 2013-04-13 09:22 - Toshi MARUYAMA

- Status changed from New to Needs feedback

This issue too old.

Please check on recent Redmine.

#3 - 2013-09-01 23:10 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Email: sean@intelligent-design.ca

Registered on: 2010-12-22

Last connection: 2010-12-22

User didn't log in since creation of issue, closing.
